---
lang: en
title: 'API docs: authentication-jwt.refreshtokenrepository._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.refreshtokenrepository._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [RefreshTokenRepository](./authentication-jwt.refreshtokenrepository.md) &gt; [(constructor)](./authentication-jwt.refreshtokenrepository._constructor_.md)

## RefreshTokenRepository.(constructor)

Constructs a new instance of the `RefreshTokenRepository` class

**Signature:**

```typescript
constructor(dataSource: juggler.DataSource);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dataSource | juggler.DataSource |  |


